org.modeshape.sequencer.image

## Class ImageMetadataLexicon

- java.lang.Object
- - org.modeshape.sequencer.image.ImageMetadataLexicon

-     @Immutable
      public final class ImageMetadataLexicon
      extends Object

  A lexicon of names used within the image sequencer.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ARTIST`
    `static String` | `BITS_PER_PIXEL`
    `static String` | `COPYRIGHT`
    `static String` | `DATETIME`
    `static String` | `DESCRIPTION`
    `static String` | `EXIF_NODE`
    `static String` | `FORMAT_NAME`
    `static String` | `HEIGHT`
    `static String` | `MAKE`
    `static String` | `METADATA_NODE`
    `static String` | `MODEL`
    `static String` | `NUMBER_OF_IMAGES`
    `static String` | `ORIENTATION`
    `static String` | `PHYSICAL_HEIGHT_DPI`
    `static String` | `PHYSICAL_HEIGHT_INCHES`
    `static String` | `PHYSICAL_WIDTH_DPI`
    `static String` | `PHYSICAL_WIDTH_INCHES`
    `static String` | `PROGRESSIVE`
    `static String` | `RESOLUTION_X`
    `static String` | `RESOLUTION_Y`
    `static String` | `SOFTWARE`
    `static String` | `UNIT`
    `static String` | `WIDTH`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### METADATA_NODE

          public static final String METADATA_NODE

      See Also:
        Constant Field Values

    - #### EXIF_NODE

          public static final String EXIF_NODE

      See Also:
        Constant Field Values

    - #### FORMAT_NAME

          public static final String FORMAT_NAME

      See Also:
        Constant Field Values

    - #### WIDTH

          public static final String WIDTH

      See Also:
        Constant Field Values

    - #### HEIGHT

          public static final String HEIGHT

      See Also:
        Constant Field Values

    - #### BITS_PER_PIXEL

          public static final String BITS_PER_PIXEL

      See Also:
        Constant Field Values

    - #### PROGRESSIVE

          public static final String PROGRESSIVE

      See Also:
        Constant Field Values

    - #### NUMBER_OF_IMAGES

          public static final String NUMBER_OF_IMAGES

      See Also:
        Constant Field Values

    - #### PHYSICAL_WIDTH_DPI

          public static final String PHYSICAL_WIDTH_DPI

      See Also:
        Constant Field Values

    - #### PHYSICAL_HEIGHT_DPI

          public static final String PHYSICAL_HEIGHT_DPI

      See Also:
        Constant Field Values

    - #### PHYSICAL_WIDTH_INCHES

          public static final String PHYSICAL_WIDTH_INCHES

      See Also:
        Constant Field Values

    - #### PHYSICAL_HEIGHT_INCHES

          public static final String PHYSICAL_HEIGHT_INCHES

      See Also:
        Constant Field Values

    - #### ARTIST

          public static final String ARTIST

      See Also:
        Constant Field Values

    - #### COPYRIGHT

          public static final String COPYRIGHT

      See Also:
        Constant Field Values

    - #### DATETIME

          public static final String DATETIME

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final String DESCRIPTION

      See Also:
        Constant Field Values

    - #### MAKE

          public static final String MAKE

      See Also:
        Constant Field Values

    - #### MODEL

          public static final String MODEL

      See Also:
        Constant Field Values

    - #### ORIENTATION

          public static final String ORIENTATION

      See Also:
        Constant Field Values

    - #### UNIT

          public static final String UNIT

      See Also:
        Constant Field Values

    - #### SOFTWARE

          public static final String SOFTWARE

      See Also:
        Constant Field Values

    - #### RESOLUTION_X

          public static final String RESOLUTION_X

      See Also:
        Constant Field Values

    - #### RESOLUTION_Y

          public static final String RESOLUTION_Y

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.